Bug 499036 - RFE : firebird module for php
Summary: RFE : firebird module for php
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: php   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 498790
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-05-04 21:19 UTC by Philippe Makowski
Modified: 2009-06-21 12:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 499098 (view as bug list)
Environment:
Last Closed: 2009-06-21 12:27:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Philippe Makowski 2009-05-04 21:19:18 UTC
Since Firebird will be packaged into Fedora and EPEL, it would be nice to have  Firebird module for php, as Debian and Mandriva have.

cf https://bugzilla.redhat.com/show_bug.cgi?id=498790

Comment 1 Remi Collet 2009-05-05 04:24:28 UTC
For EPEL, you need to contact the maintainer of "php-extras" package which provides extension for php working with libraries available in EPEL (we could'nt modify the RH php package)

@joe : any comment about adding this extension to php main package in Fedora ?

Comment 2 Joe Orton 2009-05-05 10:50:39 UTC
There's no "firebird" module shipped in the PHP tarball - there's "interbase" and there's "pdo_firebird", but, should be fine to enable either/both once the deps are there, AFAIK.

Comment 3 Philippe Makowski 2009-05-05 20:27:47 UTC
(In reply to comment #2)
> There's no "firebird" module shipped in the PHP tarball - there's "interbase"
yes in PHP it is still named "interbase" but it build without problem with firebird

here how it is build in the Mandriva package
%global modname firebird
%global dirname interbase
%global soname interbase.so
%global inifile 42_%{modname}.ini

Summary:        Firebird database module for PHP
Name:           php-%{modname}
Version:        5.2.6
Release:        0%{?dist}
Group:          Development/Libraries
URL:            http://www.php.net
License:        PHP License
Source0:        %{modname}.ini
BuildRequires:  php-devel >= 5.2.0
BuildRequires:  firebird-devel
Provides:       php-interbase = %{version}-%{release}
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This is a dynamic shared object (DSO) for PHP that will add Firebird
database support.

%prep

%setup -c -T
cp -dpR %{_usrsrc}/php-devel/extensions/%{dirname}/* .

%build
%serverbuild

phpize
%configure2_5x \
       --with-libdir=%{_lib} \
       --with-interbase=%{_libdir}/firebird


> and there's "pdo_firebird", but, should be fine to enable either/both once the
> deps are there, AFAIK.  

nice

Comment 4 Remi Collet 2009-05-09 16:08:56 UTC
First build available in my private testing repo (php 5.3.0)
php-interbase provide interbase and pdo_firebird

@Philippe : please try it.

I will update rawhide spec after F11.

Comment 5 Philippe Makowski 2009-05-09 18:44:26 UTC
(In reply to comment #4)
> @Philippe : please try it.
for me it seems ok
but I'm not a PHP dev

I send a mail to the firebird-php group

Comment 6 Remi Collet 2009-06-21 12:27:51 UTC
New PHP 5.2.10 rawhide build provides php-interbase (interbase and pdo_firebird extension)


Note You need to log in before you can comment on or make changes to this bug.